Open MCP Portaldocs
ReferenceAdmin

Capabilities a platform gateway may select (platform admins and auditors)

GET/v1/admin/gateway-options

Approved, listed tools, prompts, resources and resource templates of published, enabled servers. Resource templates that use RFC 6570 expressions other than {var} and {+var} are left out.

Query Parameters

q?string

Case-insensitive substring match

Lengthlength <= 200
kind?string

Clients see tools and prompts as {serverSlug}__{name}, resources as omp://{serverSlug}/{uri} and resource templates as omp://{serverSlug}/{uriTemplate}

Value in

  • "tool"
  • "prompt"
  • "resource"
  • "resource_template"
server?string

Only this MCP server's capabilities (server ID)

Formatuuid
cursor?string

nextCursor from the previous page

limit?integer
Range1 <= value <= 500
Default100

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/admin/gateway-options"
{  "data": {    "items": [      {        "requires": {          "providerId": "4834bcdc-4a64-444d-966b-1a6fe381da24",          "providerSlug": "github",          "providerName": "GitHub",          "scopes": [            "string"          ],          "connected": true,          "providerKind": "oauth2"        },        "capabilityId": "486ae165-7fa3-4fe9-8d0b-0636c8459cb3",        "serverId": "10d2345a-e43d-463d-830e-4f5b19b60d41",        "serverSlug": "string",        "serverName": "string",        "teamSlug": "string",        "teamName": "string",        "source": "team",        "kind": "tool",        "name": "string",        "exposedName": "string",        "title": "string",        "description": "string",        "serverCapturesPayloads": true      }    ],    "nextCursor": "string"  }}